<%Sub ShowThie()
Dim TheThie,ThePage,TheBody,ThiePageM,Re
If keyword="" then
dim ListName
select case listT
case "top500"
ListName="歌曲TOP500"
ThePage="http://list.mp3.baidu.com/topso/mp3topsong.html?id=1#top2"
case "top200"
ListName="歌手TOP200"
ThePage="http://list.mp3.baidu.com/list/top200.htm?id=1#top3"
case "two"
ListName="热门对唱"
ThePage="http://list.mp3.baidu.com/list/duichang.html?id=1#top9"
case "dj"
ListName="热门DJ"
ThePage="http://list.mp3.baidu.com/list/dj.html?id=1#top10"
case else
ListName="新歌TOP100"
ThePage="http://list.mp3.baidu.com/list/newhits.html?id=1#top1"
end select
TheThie=GetPage(ThePage)
ThiePageM=GetContent(TheThie,"更新时间","</div>",0)
ThiePageM="<table class='tit'><tr><td><h1>"&ListName&"</h1></td><td align='right'>更新时间"&ThiePageM&"</td></tr></table><table width='760' cellpadding='0' cellspacing='0' class='list'>"
TheBody=GetContent(TheThie,"<input type=hidden name=refreshtime value=@+RESBODY+@>","<input type=hidden name=refreshtime value=@-RESBODY-@>",0)
TheBody=Replace(TheBody," target=_blank","")
Set Re=new RegExp
Re.Global = True
Re.Pattern="<td.+?>"
TheBody=Re.Replace(TheBody,"<td>")
Re.Pattern="http:\/\/mp3.baidu.com.+?&word="
TheBody=Re.Replace(TheBody,"?t=2&word=")
Re.Pattern="(\s)\s+?(\S)"
TheBody=Re.Replace(TheBody,"$1$2")
Set Re=Nothing
if listT="top200" then
TheBody=Replace(TheBody,"<td>1.","<td width=""3%"">1.")
TheBody=Replace(TheBody,"<td>2.","<td width=""3%"">2.")
TheBody=Replace(TheBody,"<td>3.","<td width=""3%"">3.")
TheBody=Replace(TheBody,"<td>4.","<td width=""3%"">4.")
end if
TheBody=TheBody&"</table>"
Response.Write ThiePageM
Response.Write TheBody
exit sub
End if
if sotype=1 then%>
<!--#include file="lrc.jsp"-->
<%else%>
<!--#include file="song.jsp"-->
<%end if
End Sub%>
